<?php

namespace Daylight\Core\Modules\Admin\Entities;

use Daylight\Core\Modules\Admin\Entities\Contracts\Asset;

class Script implements Asset
{
    public string $path;

    public bool $defer = false;

    public function setPath(string $path): self
    {
        $this->path = $path;

        return $this;
    }

    public function getPath(): string
    {
        return $this->path;
    }

    public function setDefer(bool $defer): self
    {
        $this->defer = $defer;

        return $this;
    }

    public function getDeferred(): bool
    {
        return $this->defer;
    }

    public static function create(): self
    {
        return new self;
    }
}
